/**
 * Author: Andrei Heidelbacher
 * Task: Trick
 * Grader - prepare 2
 */

#include <cstdlib>
#include <cstdio>

#include <iostream>
#include <fstream>
#include <vector>
#include <string>

using namespace std;

const char IN_FILE_1[] = "trick.out.0";
const char IN_FILE_2[] = "trick.out.1";
const char IN_FILE[] = "trick.in";
const char OUT_FILE[] = "trick.in.2";
const int R = 3;

FILE *in = fopen(IN_FILE, "r");
ifstream inFirst(IN_FILE_1);
ifstream inSecond(IN_FILE_2);
ofstream out(OUT_FILE);

inline void require(const bool condition, const string message) {
  if (!condition) {
    cerr << message;
    fclose(in);
    inFirst.close();
    inSecond.close();
    out.close();
    exit(0);
  }
}

class Reader {
 public:
  Reader(FILE *_stream, const int _size = (1 << 16)):
   size(_size),
   pointer(0),
   buffer(new char[_size]),
   stream(_stream) {
    require(fread(buffer, 1, size, stream) != 0, "Corrupted input file!");
  }

  int nextInt() {
    int value = 0;
    while (current() == ' ' || current() == '\n')
      nextPosition();
    require(current() >= '0' && current() <= '9', "Corrupted input file!");
    while(current() >= '0' && current() <= '9') {
      value = value * 10 + current() - '0';
      nextPosition();
    }
    return value;
  }

  Reader &operator>>(int &value) {
    value = nextInt();
    return *this;
  }

 private:
  int size, pointer;
  char *buffer;
  FILE *stream;

  char current() const {
    return buffer[pointer];
  }

  void nextPosition() {
    if(++pointer == size) {
      require(fread(buffer, 1, size, stream) != 0, "Corrupted input file!");
      pointer = 0;
    }
  }
};

int main() {
  require(in != NULL, "Missing input file!");
  require(inFirst.is_open(), "Missing first output file!");
  require(inSecond.is_open(), "Missing second output file!");
  require(out.is_open(), "Missing output file!");
  Reader fin = Reader(in);
  int T;
  fin >> T;
  out << T << "\n" << R << "\n";
  for (; T > 0; --T) {
    int N;
    fin >> N;
    out << N << "\n";
    for (int i = 0; i < N; ++i) {
      int card;
      fin >> card;
    }
    int firstA, firstB;
    inFirst >> firstA >> firstB;
    out << firstA << " " << firstB << " ";
    for (int i = 0; i < N; ++i) {
      int card;
      fin >> card;
    }
    int secondA, secondB;
    inSecond >> secondA >> secondB;
    out << secondA << " " << secondB << "\n";
  }
  fclose(in);
  inFirst.close();
  inSecond.close();
  out.close();
  return 0;
}
